OracleWrapperFactory
Keywords: uk.ac.ic.doc.automed.wrappers.OracleWrapperFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.wrappers
Class OracleWrapperFactory

    java.lang.Object
      uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
          uk.ac.ic.doc.automed.wrappers.SQLWrapperFactory
              uk.ac.ic.doc.automed.wrappers.OracleWrapperFactory

    public class OracleWrapperFactory

extends SQLWrapperFactory

A lower level wrapper factory for Oracle SQL databases conforming to the AutoMed SQL high level wrapper factory.

Author:
  Peter McBrien (pjm@doc.ic.ac.uk)

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.wrappers.SQLWrapperFactory
`automed, AUTOMED_SQL_MODEL_COLUMN, AUTOMED_SQL_MODEL_FOREIGN_KEY, AUTOMED_SQL_MODEL_INDEX, AUTOMED_SQL_MODEL_NOTNULL_CONSTRAINT, AUTOMED_SQL_MODEL_PRIMARY_KEY, AUTOMED_SQL_MODEL_TABLE, COLUMN_POSITION, DATA_SIZE, DATA_TYPE, FOREIGN_KEY, INDEX, justTableName, NONSCALAR_COMPOUND_KEY, NULL_CONSTRAINT, primary_key, PRIMARY_KEY, ROOT_TYPE_NAME, SCHEMA_AWARE, SCHEMA_MERGING, source_background_colour, sql, SQL_MODEL_FOREIGN_KEY, SQL_MODEL_INDEX, SQL_MODEL_PRIMARY_KEY, SQL_MODEL_TABLE, table, tableSchemeLength`

Fields inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`automedModelName, baseName, empty, factoryInUse, modelName, SOURCE_PREFIX`

Constructor Summary
`OracleWrapperFactory()`

Method Summary
`java.lang.String` | `getDefaultSchemaName(AutoMedWrapper wrapper)` Return the name of the default schema for the type of database being wrapped.
`protected AutoMedWrapper` | `newAutoMedWrapper()` Create a new empty wrapper instance that this wrapper factory is then able to populate.

Methods inherited from class uk.ac.ic.doc.automed.wrappers.SQLWrapperFactory
`createAutoMedModel, createAutoMedSchema, createModel, getAutoMedModel, getColumnDetailsSchemeLength, getFeatureNames, getModel, getSQLTableReference, getTableDetailsSchemeLength, populateSchema, setFeatures`

Methods inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`clearFeatures, getAttributeDomains, getAutoMedModelName, getFeatures, getModelBaseName, getModelName, isFeatureInUse, safeIQL, setAttributeDomains, setFeatures, setModelBaseName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleWrapperFactory

    public OracleWrapperFactory()

Method Detail

### getDefaultSchemaName

    public java.lang.String getDefaultSchemaName(AutoMedWrapper wrapper)

  Description copied from class: `SQLWrapperFactory`
  Return the name of the default schema for the type of database being wrapped.

  Overrides:
    `getDefaultSchemaName` in class `SQLWrapperFactory`

### newAutoMedWrapper

    protected AutoMedWrapper newAutoMedWrapper()

  Description copied from class: `AutoMedWrapperFactory`
  Create a new empty wrapper instance that this wrapper factory is then able to populate.

  Overrides:
    `newAutoMedWrapper` in class `SQLWrapperFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD